Add a custom app

POST https://manage.kontent.ai/v2/projects/:environment_id/custom-apps

Creates a new custom app.

Request Body

{"name"=>"<string>", "codename"=>"<string>", "source_url"=>"<string>", "id"=>"<string>", "config"=>"<string,null>", "allowed_roles"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}]}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;name&quot;:&quot;Custom App Name&quot;,&quot;codename&quot;:&quot;custom_app_codename&quot;,&quot;source_url&quot;:&quot;https://customapp.net&quot;,&quot;id&quot;:&quot;f8f0b5cb-f5b7-42e8-af85-fbdab3ddfacf&quot;,&quot;config&quot;:&quot;\&quot;{\&quot;theme\&quot;:{\&quot;color\&quot;:\&quot;#007BFF\&quot;,\&quot;logo_url\&quot;:\&quot;https://assets.customapp.net/logo.png\&quot;},\&quot;features\&quot;:{\&quot;enable_notifications\&quot;:true,\&quot;enable_advanced_mode\&quot;:false}}\&quot;&quot;,&quot;allowed_roles&quot;:[{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;}]}